@import "https://use.fontawesome.com/releases/v5.5.0/css/all.css";

body {
  margin: 0;
  padding: 0;
  font-family: sans-serif;
  background-color: #1F1C72;
}

.middle {
  position: absolute;
  top: 17%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.text {
  color: #fff;
  text-transform: uppercase;
  font-size: 70px;
  text-align: center;
  letter-spacing: 14px;
}

.text::before,
.text::after {
  content: attr(data-text);
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
}

.text::before {
  color: #ff00c1;
  animation: glitch-effect 3s infinite;
}

.text::after {
  color: #3498db;
  animation: glitch-effect 2s infinite;
}

@keyframes glitch-effect {
  0% {
    left: -2.5px;
    top: -2.5px;
  }

  25% {
    left: 2.5px;
    top: 0px;
  }

  50% {
    left: -2px;
    top: 2.5px;
  }

  75% {
    left: 2.5px;
    top: -2.5px;
  }

  100% {
    left: 0px;
    top: -2.5px;
  }
}

.login-box {
  width: 280px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: linen;
  z-index: 2;
}

.login-box h1 {
  float: left;
  font-size: 40px;
  border-bottom: 6px solid #FF2178;
  margin-bottom: 50px;
  padding: 13px 0;
  z-index: 2;
}

.textbox {
  width: 100%;
  overflow: hidden;
  font-size: 20px;
  padding: 8px 0;
  margin: 8px 0;
  border-bottom: 1px solid #FF2178;
  z-index: 2;
}

.textbox i {
  width: 26px;
  float: left;
  text-align: center;
  z-index: 2;
}

.textbox input {
  border: none;
  outline: none;
  background: none;
  color: linen;
  font-size: 18px;
  width: 80%;
  float: left;
  margin: 0 10px;
  z-index: 2;
}

.btn {
  width: 100%;
  background: none;
  border: 2px solid #FF2178;
  color: linen;
  padding: 5px;
  font-size: 18px;
  cursor: pointer;
  margin: 12px 0;
  z-index: 2;
}

section {
  position: relative;
  width: 100%;
  height: 100vh;
  background: url('../img/space-background.jpg');
  background-size: cover;
  background-attachment: fixed;
}

section .wave {
  position: absolute;
  width: 100%;
  height: 143px;
  bottom: 0;
  left: 0;
  background: url('../img/wave.png');
  animation: animate 10s linear infinite;
}

section .wave:before {
  content: '';
  width: 100%;
  height: 143px;
  background: url('../img/wave.png');
  top: 0;
  left: 0;
  opacity: 0.4;
  animation: animate-reverse 10s linear infinite;
}

section .wave:after {
  content: '';
  width: 100%;
  height: 143px;
  background: url('../img/wave.png');
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0.6;
  animation-delay: -5s;
  animation: animate-reverse 20s linear infinite;
}

@keyframes animate {
  0% {
    background-position: 0;
  }

  100% {
    background-position: 1360px;
  }
}

@keyframes animate-reverse {
  0% {
    background-position: 1360px;
  }

  100% {
    background-position: 0;
  }
}
